Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl
Class XMLDocumentFragmentScannerImpl.FragmentContentDispatcher

    java.lang.Object
      weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl.FragmentContentDispatcher

All Implemented Interfaces:
  XMLDocumentFragmentScannerImpl.Dispatcher

Direct Known Subclasses:
  XMLDocumentScannerImpl.ContentDispatcher

Enclosing class:
  XMLDocumentFragmentScannerImpl

protected class XMLDocumentFragmentScannerImpl.FragmentContentDispatcher
extends Object
implements XMLDocumentFragmentScannerImpl.Dispatcher

Dispatcher to handle content scanning.

Constructor Summary
`protected` | `XMLDocumentFragmentScannerImpl.FragmentContentDispatcher()`

Method Summary
`boolean` | `dispatch(boolean complete)` Dispatch an XML "event".
`protected boolean` | `elementDepthIsZeroHook()` Element depth iz zero.
`protected void` | `endOfFileHook(EOFException e)` End of file hook.
`protected boolean` | `scanForDoctypeHook()` Scan for DOCTYPE hook.
`protected boolean` | `scanRootElementHook()` Scan for root element hook.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDocumentFragmentScannerImpl.FragmentContentDispatcher

    protected XMLDocumentFragmentScannerImpl.FragmentContentDispatcher()

Method Detail

### dispatch

    public boolean dispatch(boolean complete)
                     throws IOException,
                            XNIException

  Dispatch an XML "event".

  Specified by:
    `dispatch` in interface `XMLDocumentFragmentScannerImpl.Dispatcher`
  Parameters:
    `complete` - True if this dispatcher is intended to scan and dispatch as much as possible.
  Throws:
    `IOException` - Thrown on i/o error.
    `XNIException` - Thrown on parse error.

### elementDepthIsZeroHook

    protected boolean elementDepthIsZeroHook()
                                      throws IOException,
                                             XNIException

  Element depth iz zero. This methos is a hook for subclasses to add code to handle when the element depth hits zero. When scanning a document fragment, an element depth of zero is normal. However, when scanning a full XML document, the scanner must handle the trailing miscellanous section of the document after the end of the document's root element.

  Throws:
    `IOException`
    `XNIException`

### endOfFileHook

    protected void endOfFileHook(EOFException e)
                          throws IOException,
                                 XNIException

  End of file hook. This method is a hook for subclasses to add code that handles the end of file. The end of file in a document fragment is OK if the markup depth is zero. However, when scanning a full XML document, an end of file is always premature.

  Throws:
    `IOException`
    `XNIException`

### scanForDoctypeHook

    protected boolean scanForDoctypeHook()
                                  throws IOException,
                                         XNIException

  Scan for DOCTYPE hook. This method is a hook for subclasses to add code to handle scanning for a the "DOCTYPE" string after the string "
  Throws:
    `IOException`
    `XNIException`

### scanRootElementHook

    protected boolean scanRootElementHook()
                                   throws IOException,
                                          XNIException

  Scan for root element hook. This method is a hook for subclasses to add code that handles scanning for the root element. When scanning a document fragment, there is no "root" element. However, when scanning a full XML document, the scanner must handle the root element specially.

  Throws:
    `IOException`
    `XNIException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD